Bug 748914 - treebuilder: cascading errors after download failed for initramfs package
treebuilder: cascading errors after download failed for initramfs package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-25 10:57 EDT by John Reiser
Modified: 2011-10-26 16:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-26 16:39:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2011-10-25 10:57:24 EDT
Description of problem: Composing an Install DVD for Fedora 16 x86_64 using pungi+lorax(treebuilder) gave cascading errors after failing to download a package destined for the initramfs.  Continuing when possible is good intent, but this case revealed further error(s) that gave poor overall results.


Version-Release number of selected component (if applicable):
lorax-17.0    7f8a5e48b30a02afd6f9a71274a09ba73f892d60  (HEAD of treebuilder branch as of 2011-10-24 15:49:39)

How reproducible: haven't tried


Steps to Reproduce:
1./usr/bin/pungi -c fedora-install-fedora.ks \
	--destdir=$DESTDIR --name Fedora --ver $VERSION --nosource
designating the Fedora 16 repos fedora, fedora-updates, fedora-updates-testing.
2.
3.
  
Actual results:
downloading packages
(  1/ 11) [100%] downloading createrepo-0.9.9-7.fc16.noarch.rpm
(  2/ 11) [100%] downloading gdb-gdbserver-7.3.50.20110722-9.fc16.x86_64.rpm
(  3/ 11) [100%] downloading grub2-1.99-10.fc16.x86_64.rpm
(  4/ 11) [100%] downloading grub2-efi-1.99-10.fc16.x86_64.rpm
(  5/ 11) [100%] downloading libselinux-2.1.6-4.fc16.x86_64.rpm
(  7/ 11) [100%] downloading libselinux-utils-2.1.6-4.fc16.x86_64.rpm
(  8/ 11) [100%] downloading mesa-dri-drivers-7.11-5.fc16.x86_64.rpm
(  9/ 11) [100%] downloading mesa-dri-filesystem-7.11-5.fc16.x86_64.rpm
( 10/ 11) [100%] downloading policycoreutils-2.1.4-5.fc16.x86_64.rpm
template command error in runtime-install.tmpl:
  run_pkg_transaction
  YumDownloadError: [u'Errors were encountered while downloading packages.', 'yum-langpacks-0.2.3-1.fc16.noarch: failure: yum-langpacks-0.2.3-1.fc16.noarch.rpm from fedora-16-updates-testing: [Errno 256] No more mirrors to try.', 'libselinux-python-2.1.6-4.fc16.x86_64: failure: libselinux-python-2.1.6-4.fc16.x86_64.rpm from fedora-16-updates-testing: [Errno 256] No more mirrors to try.']
writing .buildstamp file
doing post-install configuration


Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 49, in parse
    textbuf = template.render(**variables)
  File "/usr/lib/python2.7/site-packages/mako/template.py", line 296, in render
    return runtime._render(self, self.callable_, args, data)
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 660, in _render
    **_kwargs_for_callable(callable_, data))
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 692, in _render_context
    _exec_template(inherit, lclcontext, args=args, kwargs=kwargs)
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 718, in _exec_template
    callable_(context, *args, **kwargs)
  File "/usr/share/lorax/runtime-postinstall.tmpl", line 5, in render_body
    <%
IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/bin/pungi", line 222, in <module>
    main()
  File "/usr/bin/pungi", line 124, in main
    mypungi.doBuildinstall()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 845, in doBuildinstall
    workdir=workdir, outputdir=outputdir)
  File "/usr/lib/python2.7/site-packages/pylorax/__init__.py", line 196, in run
    rb.postinstall()
  File "/usr/lib/python2.7/site-packages/pylorax/treebuilder.py", line 101, in postinstall
    self._runner.run("runtime-postinstall.tmpl", configdir=configdir_path)
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 132, in run
    commands = t.parse(templatefile, variables)
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 49, in parse
    textbuf = template.render(**variables)
  File "/usr/lib/python2.7/site-packages/mako/template.py", line 296, in render
    return runtime._render(self, self.callable_, args, data)
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 660, in _render
    **_kwargs_for_callable(callable_, data))
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 692, in _render_context
    _exec_template(inherit, lclcontext, args=args, kwargs=kwargs)
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 718, in _exec_template
    callable_(context, *args, **kwargs)
  File "runtime_postinstall_tmpl", line 31, in render_body
IndexError: list index out of range


Expected results: success


Additional info:
pungi-2.9-1.fc16.noarch
Comment 1 Will Woods 2011-10-26 16:39:08 EDT
Lorax commit dfa7742 makes command errors fatal, so package download failures like the one you encountered will stop the build.

Note You need to log in before you can comment on or make changes to this bug.